org.apache.tinkerpop.gremlin.process.computer.bulkloading

## Class BulkLoaderVertexProgramTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.computer.bulkloading.BulkLoaderVertexProgramTest

-     public class BulkLoaderVertexProgramTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkLoaderVertexProgramTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `shouldNotStoreOriginalIds()`
    `void` | `shouldOverwriteExistingElements()`
    `void` | `shouldProperlyHandleMetaProperties()`
    `void` | `shouldStoreOriginalIds()`
    `void` | `shouldUseIncrementalBulkLoaderByDefault()`
    `void` | `shouldUseOneTimeBulkLoader()`
    `void` | `shouldUseOneTimeBulkLoaderWithUserSuppliedIds()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkLoaderVertexProgramTest

          public BulkLoaderVertexProgramTest()

  - ### Method Detail

    - #### cleanup

          public void cleanup()

    - #### shouldUseIncrementalBulkLoaderByDefault

          public void shouldUseIncrementalBulkLoaderByDefault()
                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldStoreOriginalIds

          public void shouldStoreOriginalIds()
                                      throws Exception

      Throws:
        `Exception`

    - #### shouldNotStoreOriginalIds

          public void shouldNotStoreOriginalIds()
                                         throws Exception

      Throws:
        `Exception`

    - #### shouldOverwriteExistingElements

          public void shouldOverwriteExistingElements()
                                               throws Exception

      Throws:
        `Exception`

    - #### shouldProperlyHandleMetaProperties

          public void shouldProperlyHandleMetaProperties()
                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldUseOneTimeBulkLoader

          public void shouldUseOneTimeBulkLoader()
                                          throws Exception

      Throws:
        `Exception`

    - #### shouldUseOneTimeBulkLoaderWithUserSuppliedIds

          public void shouldUseOneTimeBulkLoaderWithUserSuppliedIds()
                                                             throws Exception

      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.